# Please keep this package in sync with FC

# -*- rpm-spec -*-

%define with_mingw 0
%if 0%{?mageia}
    %define with_mingw 0%{!?_without_mingw:1}
%endif

Group:   System/Libraries
Summary: Osinfo database files
Name: osinfo-db
Version: 20231215
Release: %mkrel 1
License: LGPLv2+
Source0: https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz
Source1: https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz.asc
URL: https://www.libosinfo.org/
BuildRequires: intltool
BuildRequires: osinfo-db-tools
BuildArch: noarch
Requires: hwdata

%if %{with_mingw}
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
%endif

%description
The osinfo database provides information about operating systems and
hypervisor platforms to facilitate the automated configuration and
provisioning of new virtual machines

%if %{with_mingw}
%package -n mingw32-osinfo-db
Summary: %{summary}

%description -n mingw32-osinfo-db
This package provides the osinfo database of information about
operating systems for use with virtualization provisioning tools

%package -n mingw64-osinfo-db
Summary: %{summary}

%description -n mingw64-osinfo-db
This package provides the osinfo database of information about
operating systems for use with virtualization provisioning tools

%endif

%install
osinfo-db-import --root %{buildroot} --dir %{_datadir}/osinfo %{SOURCE0}

%if %{with_mingw}
osinfo-db-import --root %{buildroot} --dir %{mingw32_datadir}/osinfo %{SOURCE0}
osinfo-db-import --root %{buildroot} --dir %{mingw64_datadir}/osinfo %{SOURCE0}
%endif

%files
%dir %{_datadir}/osinfo/
%{_datadir}/osinfo/VERSION
%{_datadir}/osinfo/LICENSE
%{_datadir}/osinfo/datamap
%{_datadir}/osinfo/device
%{_datadir}/osinfo/os
%{_datadir}/osinfo/platform
%{_datadir}/osinfo/install-script
%{_datadir}/osinfo/schema

%if %{with_mingw}
%files -n mingw32-osinfo-db
%dir %{mingw32_datadir}/osinfo
%doc %{mingw32_datadir}/osinfo/LICENSE
%{mingw32_datadir}/osinfo/VERSION
%{mingw32_datadir}/osinfo/datamap
%{mingw32_datadir}/osinfo/device
%{mingw32_datadir}/osinfo/os
%{mingw32_datadir}/osinfo/platform
%{mingw32_datadir}/osinfo/install-script
%{mingw32_datadir}/osinfo/schema

%files -n mingw64-osinfo-db
%dir %{mingw64_datadir}/osinfo
%doc %{mingw64_datadir}/osinfo/LICENSE
%{mingw64_datadir}/osinfo/VERSION
%{mingw64_datadir}/osinfo/datamap
%{mingw64_datadir}/osinfo/device
%{mingw64_datadir}/osinfo/os
%{mingw64_datadir}/osinfo/platform
%{mingw64_datadir}/osinfo/install-script
%{mingw64_datadir}/osinfo/schema
%endif



%changelog
* Wed Mar 13 2024 bcornec <bcornec> 20231215-1.mga10
+ Revision: 2049639
- Update to upstream osinfo-db 20231215 to get support for Mageia 9

* Fri Dec 02 2022 tv <tv> 20221130-1.mga9
+ Revision: 1915122
- Update to new release (v20221130)

* Tue Nov 08 2022 tv <tv> 20221018-1.mga9
+ Revision: 1904662
- Update to new release (v20221018)

* Wed Jun 29 2022 tv <tv> 20220516-1.mga9
+ Revision: 1866598
- Update to new release (v20220516)

* Tue Mar 29 2022 umeabot <umeabot> 20220214-2.mga9
+ Revision: 1832692
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 20220214-1.mga9
+ Revision: 1778263
- Update to new release (v20220214)

* Fri Dec 17 2021 tv <tv> 20211216-1.mga9
+ Revision: 1762324
- Update to new release (v20211216)

* Thu Oct 28 2021 tv <tv> 20211013-1.mga9
+ Revision: 1753172
- Update to new release (v20211013)

* Sun Aug 22 2021 tv <tv> 20210809-1.mga9
+ Revision: 1742167
- Update to new release (v20210806)

* Tue Jun 22 2021 tv <tv> 20210621-1.mga9
+ Revision: 1731688
- Update to new release (v20210621)

* Thu Jun 03 2021 tv <tv> 20210531-1.mga9
+ Revision: 1729463
- Update to new release (v20210531)

* Fri Apr 30 2021 tv <tv> 20210426-1.mga9
+ Revision: 1720550
- Update to new release (v20210426)

* Fri Mar 12 2021 tv <tv> 20210312-1.mga9
+ Revision: 1701829
- Update to new release (v20210312)

* Sun Feb 28 2021 tv <tv> 20210215-1.mga9
+ Revision: 1693325
- Update to new release (v20201218)

* Sat Dec 19 2020 tv <tv> 20201218-1.mga8
+ Revision: 1661249
- Update to new release (v20201218)

* Thu Nov 19 2020 tv <tv> 20201119-1.mga8
+ Revision: 1647558
- Update to new release (v20201011)

* Sat Oct 17 2020 tv <tv> 20201015-1.mga8
+ Revision: 1636517
- Update to new release (v20201011)

* Mon Oct 12 2020 tv <tv> 20201011-1.mga8
+ Revision: 1633655
- Update to new release (v20201011)

* Thu Aug 13 2020 tv <tv> 20200813-1.mga8
+ Revision: 1613924
- Update to new release (v20200813)

* Sun Aug 09 2020 tv <tv> 20200804-1.mga8
+ Revision: 1612219
- Update to new release (v20200804)

* Sat May 30 2020 tv <tv> 20200529-1.mga8
+ Revision: 1589112
- Update to new release (v20200529)

* Fri May 15 2020 tv <tv> 20200515-1.mga8
+ Revision: 1584007
- Update to new release (v20200515)
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 25 2020 tv <tv> 20200325-1.mga8
+ Revision: 1560487
- Update to new release (v20200325)

* Tue Feb 18 2020 umeabot <umeabot> 20200203-2.mga8
+ Revision: 1538806
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 20200203-1.mga8
+ Revision: 1490392
- Update to new release (v20200203)

* Wed Nov 27 2019 tv <tv> 20191125-1.mga8
+ Revision: 1463123
- Update to new release (20191125)

* Fri Nov 08 2019 tv <tv> 20191108-1.mga8
+ Revision: 1458813
- Update to new release (v20190920)

* Sat Sep 21 2019 tv <tv> 20190920-1.mga8
+ Revision: 1444175
- Update to new release (v20190920)

* Sun Sep 08 2019 tv <tv> 20190905-1.mga8
+ Revision: 1438571
- new release (detecting rhel7.7)

* Tue Aug 06 2019 tv <tv> 20190805-1.mga8
+ Revision: 1427689
- new release

* Mon Jul 01 2019 tv <tv> 20190611-1.mga8
+ Revision: 1416628
- new release

* Wed May 15 2019 tv <tv> 20190504-1.mga7
+ Revision: 1397861
- new release

* Thu Mar 21 2019 tv <tv> 20190319-1.mga7
+ Revision: 1379420
- new release

* Mon Mar 04 2019 tv <tv> 20190304-1.mga7
+ Revision: 1371446
- new release

* Tue Feb 19 2019 tv <tv> 20190218-1.mga7
+ Revision: 1368495
- new release

* Wed Jan 23 2019 tv <tv> 20190120-1.mga7
+ Revision: 1360275
- new release

* Fri Dec 21 2018 tv <tv> 20181214-1.mga7
+ Revision: 1344186
- new snapshot

* Mon Dec 03 2018 tv <tv> 20181203-1.mga7
+ Revision: 1338181
- new snapshot

* Thu Nov 22 2018 tv <tv> 20181116-1.mga7
+ Revision: 1333160
- new release

* Mon Nov 05 2018 tv <tv> 20181101-1.mga7
+ Revision: 1328429
- new release

* Sat Oct 13 2018 tv <tv> 20181011-1.mga7
+ Revision: 1319968
- new release

* Fri Sep 21 2018 tv <tv> 20180920-1.mga7
+ Revision: 1295524
- new release

* Thu Sep 20 2018 umeabot <umeabot> 20180903-2.mga7
+ Revision: 1281334
- Mageia 7 Mass Rebuild

* Wed Sep 05 2018 tv <tv> 20180903-1.mga7
+ Revision: 1257360
- new snapshot

* Fri Aug 03 2018 tv <tv> 20180720-1.mga7
+ Revision: 1247087
- new snapshot

* Sun Apr 08 2018 kekepower <kekepower> 20180325-1.mga7
+ Revision: 1216258
- Update to release 20180325

* Tue Sep 05 2017 tv <tv> 20170813-1.mga7
+ Revision: 1151317
- new release

* Fri Jul 21 2017 tv <tv> 20170423-1.mga7
+ Revision: 1125800
- imported package osinfo-db


* Thu Jul 20 2017 Thierry Vignaud <tv@mageia.org> 20170423-1.mga7
- impor from FC

* Sun Apr 23 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170423-1
- Update to new release

* Sun Mar 26 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170326-1
- Update to new release

* Sat Feb 25 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170225-1
- Update to new release

* Sat Feb 11 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170211-1
- Update to new release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170121-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 21 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170121-2
- 20170121-1 used an incorrect tarball

* Sat Jan 21 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170121-1
- Update to new release

* Sat Jan 14 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170114-1
- Update to new release

* Sat Jan 07 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170107-1
- Update to new release

* Wed Oct 26 2016 Daniel P. Berrange <berrange@redhat.com> - 20161026-1
- Update to new release

* Fri Jul 29 2016 Daniel P. Berrange <berrange@redhat.com> - 20160728-1
- Initial package after split from libosinfo (rhbz #1361596)
